/**
 * Program XSILexam.java
 * Comments: Provides a simple example that extracts parameter values 
 */
import org.escience.XSIL.*;

public class XSILexam {
    
    double temp;
    int iseed, NITER, NLAT;
    String out_file;
    
    public void construct(XSIL node) {
	XSIL child;
	for(int ichild=0;ichild<node.getChildCount();ichild++) {
	    child=node.getChild(ichild);
	    if(child instanceof Param) {
		Param p=(Param)child;
		if(p.getName().equals("NITER")){
		    NITER=Integer.parseInt(p.getText());
		    System.out.println(NITER);
		}
		if(p.getName().equals("temp")){
		    temp=Double.parseDouble(p.getText());
		    System.out.println(temp);
		}
		if(p.getName().equals("iseed")){
		    iseed=Integer.parseInt(p.getText());
		    System.out.println(iseed);
		}
		if(p.getName().equals("NLAT")){
		    NLAT=Integer.parseInt(p.getText());
		    System.out.println(NLAT);
		}
		if(p.getName().equals("Output")){
		    out_file=p.getText();
		}
	    }
	}
    }

    public static void main(String[] args){
	if(args.length!=1) {
	    System.err.println("Usage: java XSILexam inputFile.xml");
	    System.exit(1);
	}
	XSIL root=new XSIL(args[0]);
	XSILexam ex=new XSILexam();
	ex.construct(root);
    }
    
}
